# Crossbrowsify

Easily integrate your app's Cucumber testing with browserstack's api.

## Installation

Add this line to your application's Gemfile:

    gem 'crossbrowsify'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install crossbrowsify

## Usage

Put a `browsers.json` file into the root of your project - here is a short example:

	{
	   "ie_9": {
	      "human": "IE 9 on Windows 7",
	      "browser_version":"9.0",
	      "browser":"IE",
	      "os":"Windows",
	      "os_version":"7"
	   },
	   "ie_8": {
	      "human": "IE 8 on Windows 7",
	      "browser_version":"8.0",
	      "browser":"IE",
	      "os":"Windows",
	      "os_version":"7"
	   },
	   "chrome": {
	      "human": "Chrome 33 on OS X Mavericks",
	      "browser_version":"33.0",
	      "browser":"chrome",
	      "os":"OS X",
	      "os_version":"Mavericks"
	   }
	}


Add the following to your cucumber support/env.rb file:

	require 'crossbrowsify/browser_setup'

Then you can run a single browser task, using the key from your browsers.json file:
	
	rake crossbrowsify:chrome

Or you can run all the browsers in your `browsers.json` file.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/crossbrowsify/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
